Welcome to wxWidgets, a free and open source cross-platform C++ framework for writing advanced GUI applications using native controls.

wxWidgets 3.2.8.1 is part of 3.2 stable branch. This means that it is API _and_ ABI-compatible with the previous 3.2.x releases, i.e. the applications previously built using 3.2.7 or earlier shared libraries will continue working with this release even without recompiling when using shared libraries and can be rebuilt without any changes to the code otherwise.

We recommend using this version for any new wxWidgets applications. Existing applications using wxWidgets 3.0 or 3.1 shouldn't require any special effort to upgrade to this version too, so please try upgrading them to it.

Please see [**README**](https://raw.githubusercontent.com/wxWidgets/wxWidgets/v3.2.8/docs/readme.txt) for more information about this release and the [change log](https://raw.githubusercontent.com/wxWidgets/wxWidgets/v3.2.8/docs/changes.txt) for more details of the changes in it.


## Source Files and Documentation

If you intend to build wxWidgets from sources (which is recommended), please do **NOT** download the files using the "Source code" links just above, which are automatically generated by GitHub and don't contain the submodules sources which are necessary for building wxWidgets.

Instead, download one of [wxWidgets-3.2.8.1.zip](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.8.1/wxWidgets-3.2.8.1.zip) or [wxWidgets-3.2.8.1.7z](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.8.1/wxWidgets-3.2.8.1.7z), for much smaller size, for Microsoft Windows systems or [wxWidgets-3.2.8.1.tar.bz2](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.8.1/wxWidgets-3.2.8.1.tar.bz2) for Unix ones, including macOS. These archives have exactly the same contents, but use the line endings appropriate for the corresponding platform.

In addition, we provide archives containing the documentation in either HTML or Microsoft CHM formats. Notice that the documentation is also [available online](https://docs.wxwidgets.org/3.2.8).

Finally, Microsoft Windows users may download [Setup.exe file](https://github.com/wxWidgets/wxWidgets/releases/download/v3.2.8.1/wxMSW-3.2.8.1-Setup.exe) containing both sources and documentation, however please note that this file does _not_ contain any binaries, please see below for those.

To verify your download please use the following SHA-1 checksums:

    0000000000000000000000000000000000000000  wxMSW-3.2.8-Setup.exe
    0000000000000000000000000000000000000000  wxWidgets-3.2.8-docs-chm.zip
    0000000000000000000000000000000000000000  wxWidgets-3.2.8-docs-html.tar.bz2
    0000000000000000000000000000000000000000  wxWidgets-3.2.8-docs-html.zip
    0000000000000000000000000000000000000000  wxWidgets-3.2.8-headers.7z
    0000000000000000000000000000000000000000  wxWidgets-3.2.8.7z
    0000000000000000000000000000000000000000  wxWidgets-3.2.8.tar.bz2
    0000000000000000000000000000000000000000  wxWidgets-3.2.8.zip

## Binaries

Please use binaries from [3.2.8 release](https://github.com/wxWidgets/wxWidgets/releases/tag/v3.2.8) as this hotfix release doesn't include any changes affecting them.

## Reporting Problems

Please report bugs to the [issue tracker](https://github.com/wxWidgets/wxWidgets/issues/new) or the [wx-users mailing list](http://groups.google.com/group/wx-users).
